Index: jython/src/org/python/core/Py.java
===================================================================
--- jython/src/org/python/core/Py.java	(revision 3670)
+++ jython/src/org/python/core/Py.java	(working copy)
@@ -365,7 +365,11 @@
             memory_error((OutOfMemoryError)t);
         }
         PyJavaInstance exc = new PyJavaInstance(t);
-        return new PyException(exc.instclass, exc);
+        PyException pyex = new PyException(exc.instclass, exc);
+        // Set the cause to the original throwable to preserve
+        // the exception chain.
+        pyex.initCause(t);
+        return pyex;
     }
 
     // Don't allow any constructors. Class only provides static methods.

 	  	 
